angular.module('tombola-app.controllers').controller('QuoteCtrl', function($scope, $window) {
    $scope.pageClass = "page-quote";
        
    $scope.ambo = 0;
    $scope.terno = 0;
    $scope.quaterna = 0;
    $scope.cinquina = 0;
    $scope.tombola = 0;
    $scope.tombolino = 0;
    
    $scope.includiTombolino = true;
    
    $scope.calcola = function() {
        
        if ($window.plugins && $window.plugins.gaPlugin) {
            $window.plugins.gaPlugin.trackEvent(function() {console.log("Tracked");}, 
                                            function() {console.log("Not tracked");},
                                            "application",
                                            "function",
                                            "calcola",
                                            1);
        
        }
        
        if ($scope.totale === null || $scope.totale === undefined) {
            return;
        }
        
        $scope.tombolino = 0;
        var check = 0;
        var net = $scope.totale;
        if ($scope.includiTombolino) {
            $scope.tombolino = calcolaPremio($scope.totale, 0.1);
            net = $scope.totale - ($scope.tombolino);
            
            check += $scope.tombolino;
        }
        
        $scope.ambo = calcolaPremio(net, 0.03);
        $scope.terno = calcolaPremio(net, 0.06);
        $scope.quaterna = calcolaPremio(net, 0.125);
        $scope.cinquina = calcolaPremio(net, 0.25);
        $scope.tombola = calcolaPremio(net, 0.5);
        
        check += ($scope.ambo + $scope.terno + $scope.quaterna + $scope.cinquina + $scope.tombola);
        
        $scope.tombola += ($scope.totale - check);
    };
    
    var calcolaPremio = function(montepremi, quota) {
        return Math.ceil(montepremi * quota * 10) / 10;
    };
});