angular.module('tombola-app.controllers').controller('AboutCtrl', function($scope, $window) {
    $scope.pageClass = "page-about";
    
    $scope.openSiteLink = function() {
        
        if ($window.plugins && $window.plugins.gaPlugin) {
            $window.plugins.gaPlugin.trackEvent(function() {console.log("Tracked");}, 
                                            function() {console.log("Not tracked");},
                                            "button",
                                            "click",
                                            "kiwi site",
                                            1);
        
        }
        
        $window.open('http://www.kiwisoftware.it', '_blank', 'location=yes');  
    };
    
    $scope.shareWithFacebook = function(event) {
        
        if ($window.plugins && $window.plugins.gaPlugin) {
            $window.plugins.gaPlugin.trackEvent(function() {console.log("Tracked");}, 
                                            function() {console.log("Not tracked");},
                                            "button",
                                            "click",
                                            "share with facebook",
                                            1);
        
        }
        
        $window.plugins.socialsharing.shareViaFacebookWithPasteMessageHint('Ho appena usato Kiwi Tombola di Kiwi Software',
                                                                           null /* img */,
                                                                           'http://www.kiwisoftware.it/#/portfolio/tombola' /* url */,
                                                                           'Incolla per dire che ti è piaciuta l\'app!', 
                                                                           function() {
                                                                                console.log('share ok');
                                                                            }, 
                                                                           function(errormsg){
                                                                                alert(errormsg);
                                                                            }
                                                                          );
    };
    
    $scope.shareWithTwitter = function(event) {
        
        if ($window.plugins && $window.plugins.gaPlugin) {
            $window.plugins.gaPlugin.trackEvent(function() {console.log("Tracked");}, 
                                            function() {console.log("Not tracked");},
                                            "button",
                                            "click",
                                            "share with twitter",
                                            1);
        
        }
        
        $window.plugins.socialsharing.shareViaTwitter('Ho appena usato Kiwi Tombola di Kiwi Software', null /* img */, 'http://www.kiwisoftware.it/#/portfolio/tombola');
    };
});